#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "CleanActor.generated.h"

UCLASS()
class MYGAME_API ACleanActor : public AActor
{
    GENERATED_BODY()

public:
    UFUNCTION(BlueprintCallable)
    void SetHealth(int32 NewHealth);

    UPROPERTY(ReplicatedUsing=OnRep_Health)
    int32 Health;

    UFUNCTION()
    void OnRep_Health();

protected:
    UPROPERTY(EditDefaultsOnly)
    TSoftObjectPtr<UObject> SwordAsset;
};
